Update Swatch Collection
1 min
PUT
https://api.upstartcommerce.com/v1/catalog/swatches/collections/{swatchCollectionId}
swatchCollectionIdobjectID of the swatch collection to be updated
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
x-upstart-sitestringUnique identifier for the site.
bodyobject<p>This defines the structure, used to update swatch collection.</p>
200Updated swatch collection
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
curl --request PUT \
--url https://api.upstartcommerce.com/v1/catalog/swatches/collections/{swatchCollectionId} \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"name": ""
}'